import '@/styles/globals.css';
import Global from '@/layout/GlobalLayout';
import AppContext from '@/hooks/AppContext';
import { Suspense } from 'react';
import Loader from '@/components/base/loader/Loader';
interface LayoutProps {
  children: React.ReactNode;
}

export default function RootLayout({ children }: LayoutProps) {
  return (
    <html>
      <head>
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <link rel="icon" href="/favicon.ico" />
      </head>
      <body>
        <Suspense fallback={
    <div className="w-full h-full dark:bg-black flex justify-center p-4">
      <Loader  />
    </div>}
        >
        <AppContext>
          <Global>
          {children}
          </Global>
        </AppContext>
  </Suspense>
      </body>
    </html>
  );
}
