import Image from "next/image";
import Clock from '@/public/Icons/icons8-clock.svg'
import { profileCardsItems } from "@/types/blog";
interface ProfileCardProps extends profileCardsItems{
}
const ProfileCard:React.FC<ProfileCardProps> = ({authorImg,author,date}) => {
    return (
        <div className="flex gap-[10px]  mt-auto flex-shrink-0">
            <Image src={authorImg} width={50} height={50} alt="" className="rounded-full max-w-[50px] max-h-[50px] size-15 aspect-square object-cover overflow-hidden" />
        <div>
            <h5 className="font-sans font-semibold text-[15px] sm:text-[18px] capitalize text-black dark:text-white">{author}</h5>
            <p className="font-sans text-subHeadColor font-semibold text-[12px] sm:text-[14px]">{`${date.toLocaleString('default', { month: 'short' })} ${date.getDate()}, ${date.getFullYear()}.`}
                <span className="ml-2 *:inline *:text-[14px] font-semibold ">
                    <Image src={Clock} alt="" width={0} height={0} className="mb-[3px] mr-1 w-[15px] h-[15px]" />
                    <span>
                       
                            {date.getMinutes()} mins
                    </span>
                </span>
            </p>
        </div>
    </div> );
}
 
export default ProfileCard;