'use client';
import React, { useRef, useState } from 'react'
import cn from 'classnames'
import {Search,Close} from '@/utils/icons'

interface SearchBarProps extends React.InputHTMLAttributes<HTMLInputElement>{
    onSearch: (name: string) => void;
}
const SearchBar: React.FC<SearchBarProps> = ({ onSearch, className, ...props }) => {
    const [input, setinput] = useState('')
    const handleChange = (e: React.ChangeEvent<HTMLInputElement>) => {
        setinput(e.target.value)
        onSearch(e.target.value)
    }
    const onClose = () => {
        setinput('');
        onSearch('');
        
    }

  return (
      <div className='min-w-full flex gap-1 items-center px-[20px] py-[10px] dark:bg-[#0b0d0e]  dark:border-[#3c3d3e] dark:border-2  bg-[#f4f4f4] rounded-md'>
          <Search />
          <input {...props} type='text' className={cn('w-full dark:text-white dark:bg-[#0b0d0e] bg-[#f4f4f4] focus:outline-none text-textColor text-[17px]', className)} onChange={handleChange} value={input}  />
          {
              input !='' &&
              <Close handleClick={onClose} />
          }
      </div>
  )
}

export default SearchBar