import type { Meta, StoryObj } from '@storybook/react';
import BlogCard from './BlogCard';
import { blog_data } from '@/utils/Blog_data';

const meta: Meta<typeof BlogCard> = {
    title: 'Top-Level',
    component: BlogCard,
    argTypes: {
    }
}
export default meta;

type Story = StoryObj<typeof meta>;

export const blog_: Story = {
    args: {
        img:'https://images.unsplash.com/photo-1556208144-ad3c8e2642ef?w=500&auto=format&fit=crop&q=60&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxzZWFyY2h8MjB8fHNreXNjcmFwZXJ8ZW58MHx8MHx8fDA%3D',
        title: 'malesuada fames ac turpis egestas tristique',
        description: 'at auctor urna nunc id cursus metus aliquam eleifend mi',
        author: 'idris',
        authorImg: "https://images.pexels.com/photos/8993561/pexels-photo-8993561.jpeg?auto=compress&cs=tinysrgb&w=600",
        date:new Date('2014-03-15')
    }
}

export const blog_List__: Story = {
    render: (args) => {
        return (
            <div className="flex flex-wrap gap-4 w-full dark:bg-black p-2">
  {blog_data.map((data, i) => (
    <div key={i} className="flex-grow sm:flex-grow-0 sm:w-[calc(50%-1rem)] lg:w-[calc(33.33%-1rem)] xl:w-[calc(25%-1rem)] *:sm:max-w-md *:h-full">
      <BlogCard {...args} {...data} />
    </div>
  ))}
</div>
        )
    }
}