'use client';
import { usePathname } from 'next/navigation'
import Navigation from "@/components/layout/Navigation/Navigation";
import { Context } from "@/hooks/AppContext";
import React, { useContext, useEffect, useState } from "react";
interface GlobalLayoutProps{
    children: React.ReactNode;
}
const Global:React.FC<GlobalLayoutProps> = ({children}) => {
    const { theme, ToggleTheme, handleFilter } = useContext(Context);
    const pathname = usePathname();
    const [isVisible, setisVisible] = useState<boolean | undefined>(false);
    useEffect(() => {
        setisVisible(pathname?.includes('blog'));
    },[pathname])
    return (
        <div className={`${theme}`}>
            <div className={`bg-light dark:bg-black min-h-screen`}>
                <Navigation onSearch={handleFilter}
                    onChangeTheme={ToggleTheme} isVisible={!isVisible} />
            {children}
        </div>
        </div>
        );
}
 
export default Global;