import fs from "fs";
import matter from "gray-matter";
import path from "path";

const postsDirectory = path.join(process.cwd(), 'posts');
type PostTypes={
    id: number;
    blogTitle: string;
    authorDetails: {
        author: string;
        date: Date;
        authorImg: string;
    };
    category: string;
    readingTime: number;
    content: string;
    categories: string[];
    banner: {
        img: string;
        width: number;
        height: number;
    };
    description: string;
}
export function getAllPosts():PostTypes[] {
   const filenames = fs.readdirSync(postsDirectory);
  const posts:any[] = filenames.map((filename) => {
    const fullPath = path.join(postsDirectory, filename);
    const fileContents = fs.readFileSync(fullPath, 'utf8');
    const { data, content } = matter(fileContents);
    return {
      ...data,
      content,
    };
  });
  return posts;
}