

module.exports = {
  images: {
    domains:['cdn.pixabay.com','images.pexels.com'],
    remotePatterns: [
      {
        protocol: 'https',
        hostname: 's3-ap-southeast-1.amazonaws.com'
      }
    ],
    imageSizes: [64, 128, 256, 576, 768, 992, 1200, 1600, 1920, 2048, 3840],
  },
  webpack: (config, { isServer }) => {
    if (process.env.ANALYZE && !isServer) {
      const { BundleAnalyzerPlugin } = require('webpack-bundle-analyzer');
      config.plugins.push(
        new BundleAnalyzerPlugin({
          analyzerMode: 'server',
          analyzerPort: 8888,
          openAnalyzer: true
        })
      );
    }
    return config;
  },
  async rewrites() {
    return [
      {
        source: '/api/:path*',
        destination: `${process.env.NEXT_PUBLIC_API_URL}/api/:path*`,
      }
    ];
  },
  async headers() {
    return [
      {
        // matching all API routes
        source: "/api/:path*",
        headers: [
          { key: "Access-Control-Allow-Origin", value: "*" }, // replace this your actual origin
          { key: "Access-Control-Allow-Methods", value:'GET, POST, PUT, DELETE, OPTIONS' },
          { key: "Access-Control-Allow-Headers", value: "X-CSRF-Token, X-Requested-With, Accept, Accept Version, Content-Length, Content-MD5, Content-Type, Date, X-Api-Version" },
        ]
      }
    ]
  },
  poweredByHeader: false,
  compress: false,
};
