'use client'
import Heading from "@/components/base/Heading/Heading";
import Loader from "@/components/base/loader/Loader";
import BlogCard from "@/components/Top-Level/blog-card/BlogCard";
import Pagination from "@/components/Top-Level/pagination/pagination";
import { Context } from "@/hooks/AppContext";
import { useContext, useEffect, useState } from "react";

const Home = () => {
    const [isMounted, setisMounted] = useState(false)
    const {data, size, currentPage, start, end, handleChangePage,isLoading } = useContext(Context);
    useEffect(() => {
        setisMounted(true);
    }, [])
    
    if (!isMounted) {
        return null
    }
    return (
                <div className="max-w-[1100px] mx-auto px-4 ">
                    <Heading /> 
            <div className="flex flex-wrap gap-6 w-full dark:bg-black mt-4">
                {
                    isLoading && <div className="w-full h-full dark:bg-black flex justify-center p-4">
                        <Loader  />
                    </div>
                }
                {
                    !isLoading && data?.length === 0 && <h2 className=" capitalize dark:text-white text-center w-full text-2xl font-semibold py-5">no Data found</h2>
                }
                    {data?.slice(start,end).map((data) => (
                        <div key={data.id} className="flex-grow sm:flex-grow-0 sm:w-[calc(50%-1rem)]
                        lg:w-[calc(33.33%-1rem)] *:sm:max-w-full *:h-full">
                            <BlogCard {
                                ...{
                                img: data.banner.img,
                                ...data.authorDetails,
                                date:new Date(data?.authorDetails.date),
                                ...data,
                                }
                            } />
                        </div>
                    ))}
                    </div>
                    <center className="w-full  p-2 sm:p-4 md:p-6 flex justify-center ">
                <Pagination size={Math.ceil(data?.length / size)} onChange={handleChangePage} currentPage={currentPage} />
                    </center>
                </div >
            
    );
} 
 
export default Home;