
import BlogPage from '@/components/Top-Level/blog-page/Blogpage';
import axios from 'axios';


interface BlogProps {
  id: number;
}

interface AuthorDetails {
  author: string;
  authorImg: string;
  date: Date | string;
}

interface Banner {
  img: string;
  width: number;
  height: number;
}

interface BlogDataItem {
  id: number;
  title: string;
  authorDetails: AuthorDetails;
  category: string;
  readingTime: number;
  categories: string[];
  banner: Banner;
  content: string;
}

interface BlogData {
  Data: BlogDataItem[];
}

const Blog: React.FC<BlogProps> = async ({ id }) => {
  const res = await axios.get<BlogData>(`${process.env.NEXT_PUBLIC_API_URL}/api/`);
  const data = res.data.Data;
  const blogData = data.find(item => item.id === id);

  if (!blogData) {
    return <div>Blog post not found.</div>;
  }
  return <BlogPage {...blogData} />;
    
}

export default Blog;
