import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    './pages/**/*.{js,ts,jsx,tsx,mdx}',
    './components/**/*.{js,ts,jsx,tsx,mdx}',
    './app/**/*.{js,ts,jsx,tsx,mdx}',
    './utils/**/*.{js,ts,jsx,tsx,mdx}',
    './pages/**/*.{js,ts,jsx,tsx,mdx}',
    './layout/**/*.{js,ts,jsx,tsx,mdx}'
  ],
  darkMode: 'class',  // Using 'class' instead of 'selector' for dark mode
  theme: {
    extend: {
      colors: {
        primary: '#5a67d8',
        secondary: {
          DEFAULT: '#f8f9fa',
          light: '#f8f9fa',
          dark: '#131617'
    
        },
        textColor: '#718096',
        titleColor: '#2d3748',
        subHeadColor: '#77859a',
        light: '#f4f4f4',
        dark: '#222222'
      },
      fontFamily: {
        hind: ['Hind', 'sans-serif'],
        libre: ['Libre', 'serif'],
      },
    }
  },
   plugins: [
     require('@tailwindcss/typography'),
     require('@tailwindcss/line-clamp'),
  ],
};

export default config;
